## org.apache.felix.httplite.servlet
Class ServletOutputStreamImpl

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.apache.felix.httplite.servlet.ServletOutputStreamImpl

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class ServletOutputStreamImpl

extends javax.servlet.ServletOutputStream

ServletOutputStream Implementation.

Constructor Summary
`ServletOutputStreamImpl(java.io.OutputStream outputStream)`

Method Summary
`void` `write(int i)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletOutputStreamImpl

    public ServletOutputStreamImpl(java.io.OutputStream outputStream)

Parameters:
  `outputStream` - OutputStream

Method Detail

### write

    public void write(int i)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.